For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get printer

Get printer details

get
/tenants/{tenantUid}/printers/{printerUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
printerUidstringRequired

Reference to a printer

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
printerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
deviceUidsstring[]Required
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
namestringRequired
descriptionstringRequired
typestring Ā· enumRequiredPossible values:
pathstringRequired
createdBystringRequired
createdAtstring Ā· date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring Ā· date-timeRequired
get/tenants/{tenantUid}/printers/{printerUid}
GET /v2/tenants/{tenantUid}/printers/{printerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "printerUid": "text",
  "deviceUids": [
    "text"
  ],
  "storeUid": "text",
  "name": "text",
  "description": "text",
  "type": "LABEL",
  "path": "text",
  "settings": [
    {
      "key": "text",
      "value": "text",
      "type": "STRING",
      "allowedValues": [
        "text"
      ],
      "validationRegex": "text",
      "name": "text",
      "required": true
    }
  ],
  "availablePrintActions": [
    "RECEIPT"
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?